关闭

Java bug记录

标签: bugjava
46人阅读 评论(0) 收藏 举报
分类:

问题:java.lang.UnsupportedClassVersionError: t : Unsupported major.minor version
错误分析:
编译的jdk的版本比运行的jdk版本高 ,原因 我项目编译的jdk是1.7 而运行的那个还是jdk1.6.
错误修正:
将Compiler java的version设置为低于或等于Run java 的version即可

问题:@Temporal should only be set on a java.util.Date or java.util.Calendar
@Temporal(TemporalType.TIMESTAMP)
错误修正:
属性要设为Date(java.util)例如:private Date recordTime;
这样配置设的数据库datetime

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:1315次
    • 积分:86
    • 等级:
    • 排名:千里之外
    • 原创:7篇
    • 转载:4篇
    • 译文:0篇
    • 评论:0条